Address GroupsCreate an address folder

Create an address folder

An address group is a way to grant access to a set of addresses at once with a single grant. The creator becomes the group's manager

curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/address-groups" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "color": "example_string",
  "emoji": "example_string"
}'
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "vaultId": "example_string",
  "name": "John Doe",
  "description": "example_string",
  "color": "example_string",
  "emoji": "example_string",
  "createdById": "example_string",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z",
  "memberCount": 10,
  "access": "manager",
  "sharing": {
    "isShared": true,
    "participantCount": 10
  }
}
POST
/api/v1/vaults/{code}/address-groups
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required
Min length: 1 • Max length: 200
descriptionstring
Max length: 1000
colorstring
Pattern: ^#([0-9a-fA-F]{3,4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
emojistring
Min length: 1 • Max length: 16
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Responses